/*
 * ExampleChatFilter.java
 *
 * Created on April 22, 2004, 1:11 PM
 * @author  Kurris
 * @version 1.0
 * @copyright (c) 2004 kLoOge.inc, All Rights Reserved
 *
 * This software is provided "as is" with no warranty or suitability of
 * purpose.  Use at your own risk!
 *
 * This software may be redistributed, altered, enhanced and otherwise
 * mangled in any way you see fit.  kLoOge.inc, of course, is not responsible
 * for anything you do with this software.  You're on your own here, folks.
 *
 */

public class ExampleChatFilter
{
    public ExampleChatFilter() {}

    /* Chat filters only apply to the Master, since he touches every chat
     * message created.
     */
    public static int getType()
    {
	return 2;	// PT_Server only
    }

    /* This is the text that the user will enter in his character sheet to
     * reference this filter.  Keeping it the same as (or very similar to) the
     * name of the class will help people remember what to enter.
     */
    public static String getDescription() { return "ExampleChatFilter"; }

    /* Here's where all the action happens.  Keep in mind that the string you
     * will be receiving is the raw message -- the person doing the chatting
     * has not been filled in (so you can't mess with that) and all dice
     * expressions have already been parsed (so be careful altering anything
     * in parenthesis or brackets).
     */
    public static String filterChatText(String str)
    {
	// Do whatever magic you like...

	char[] c = new char[str.length()];

	str.getChars(0, str.length(), c, 0);

	for (int i = 0; i < c.length; ++i)
	{
	    if (!Character.isLetter(c[i]))
		continue;
	    if (c[i] == 'H' || c[i] == 'h' && (i == 0 ||
		Character.isWhitespace(c[i - 1])))
		c[i] = '\'';
	}
	return new String(c);
    }
}