<?xml version="1.0" encoding="UTF-8"?>

<!-- New document created with EditiX at Sat Jan 10 17:23:04 EST 2009 -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html"/>
	
	<xsl:template match="/char-sheet-4e-v2">
	<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
			<title>Character Sheet for
			<xsl:value-of select="personal-info/name"/>
			</title>
			<style type="text/css">
				.WhiteText {color: #FFFFFF}
				.BlackTextXSmall {font-size: x-small}
				.WhiteTextXSmall {color: #FFFFFF; font-size: x-small; }
				.BlackTextXXSmall {font-size: xx-small}
				.BlackTextSmall {font-size: small}
				.style2 {font-size: xx-small; font-weight: bold; }
			</style>
		</head>
			
		<body>
			<table width="816" border="0" cellpadding="2" bgcolor="#000000" id="PageHeader">
  				<tr>
    				<td width="64%" rowspan="2"><h2><span class="WhiteText">Dungeons &amp; Dragons 4th Edition</span></h2></td>
    				<td width="36%" align="right" class="WhiteText">Character Sheet</td>
  				</tr>
  				<tr>
    				<td bgcolor="#FFFFFF"><span class="BlackTextSmall">Player Name: <xsl:value-of select="personal-info/name"/></span></td>
  				</tr>
			</table>
			<table width="816" border="1" cellpadding="2" bordercolor="#000000" class="BlackTextXSmall" id="CharacterInfo">
  				<tr>
    				<td colspan="3"><span class="style2">Character Name: <xsl:value-of select="personal-info/player"/></span></td>
    				<td width="84"><span class="style2">Level: <xsl:value-of select="personal-info/level"/></span></td>
    				<td colspan="2"><span class="style2">Class: <xsl:value-of select="personal-info/class"/></span></td>
    				<td width="100"><span class="style2">Path: </span></td>
    				<td width="108"><span class="style2">Destiny: </span></td>
    				<td width="108"><span class="style2">XP: <xsl:value-of select="personal-info/experience"/></span></td>
				</tr>
  				<tr>
    				<td width="116"><span class="style2">Race: <xsl:value-of select="personal-info/race"/></span></td>
    				<td width="42"><span class="style2">Size: <xsl:value-of select="personal-info/size"/></span></td>
    				<td width="50"><span class="style2">Age: <xsl:value-of select="personal-info/age"/></span></td>
    				<td><span class="style2">Gender: <xsl:value-of select="personal-info/sex"/></span></td>
    				<td width="76"><span class="style2">Height: <xsl:value-of select="personal-info/height"/></span></td>
    				<td width="76"><span class="style2">Weight: <xsl:value-of select="personal-info/weight"/></span></td>
    				<td><span class="style2">Alignment: <xsl:value-of select="personal-info/alignment"/></span></td>
    				<td><span class="style2">Deity: 
    								<xsl:for-each select="deities/deity">
    									<span><xsl:value-of select="deity-name"/> </span>
    								</xsl:for-each>
    				</span></td>
    				<td><span class="style2">Company: </span></td>
  				</tr>
			</table>
			<table width="816" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="InitDefMoveHeader">
  				<tr>
    				<td width="272"><div align="center"><strong><span class="WhiteTextXSmall">INITIATIVE / ACTION POINTS</span></strong></div></td>
    				<td width="272"><div align="center"><strong><span class="WhiteTextXSmall">DEFENSES</span></strong></div></td>
    				<td width="272"><div align="center"><strong><span class="WhiteTextXSmall">MOVEMENT</span></strong></div></td>
  				</tr>
			</table>
			<table width="816" border="1" cellpadding="2" bordercolor="#000000" class="BlackTextXXSmall" id="InitDefMove">
  				<tr class="BlackTextXXSmall">
    				<td width="29"><div align="center"><xsl:value-of select="combat/init"/></div></td>
    				<td width="225" bgcolor="#CCCCCC"><strong>Initiative Score</strong></td>
    				<td width="30"><div align="center"><xsl:value-of select="armor/final-ac"/></div></td>
    				<td width="223" bgcolor="#CCCCCC"><strong>Armor Class</strong></td>
    				<td width="29"><div align="center"><xsl:value-of select="personal-info/speed"/></div></td>
    				<td width="224" bgcolor="#CCCCCC"><strong>Speed (Land)</strong></td>
  				</tr>
  				<tr class="BlackTextXXSmall">
    				<td colspan="2"></td>
    				<td width="30"><div align="center"><xsl:value-of select="armor/fort"/></div></td>
    				<td width="223" bgcolor="#CCCCCC"><strong>Fortitude</strong></td>
    				<td width="29"></td>
    				<td width="224" bgcolor="#CCCCCC"><strong>Swim</strong></td>
  				</tr>
  				<tr class="BlackTextXXSmall">
    				<td width="29"><div align="center"><xsl:value-of select="combat/action-points"/></div></td>
    				<td width="225" bgcolor="#CCCCCC"><strong>Action Points</strong></td>
    				<td width="30"><div align="center"><xsl:value-of select="armor/ref"/></div></td>
    				<td width="223" bgcolor="#CCCCCC"><strong>Reflex</strong></td>
    				<td width="29"></td>
    				<td width="224" bgcolor="#CCCCCC"><strong>Fly</strong></td>
  				</tr>
  				<tr class="BlackTextXXSmall">
    				<td colspan="2"></td>
    				<td width="30"><div align="center"><xsl:value-of select="armor/will"/></div></td>
    				<td width="223" bgcolor="#CCCCCC"><strong>Will</strong></td>
    				<td width="29"></td>
    				<td width="224" bgcolor="#CCCCCC"><strong>Mounted</strong></td>
  				</tr>
			</table>
			<table width="816" height="382" border="0" cellpadding="0" bgcolor="#CCCCCC" id="HPAttackContainer">
  				<tr>
    				<td width="269" valign="top"><div align="center">
    								<table width="269" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="AbilitiesHeader">
          								<tr>
            								<td width="260" class="WhiteTextXSmall"><div align="center"><strong>ABILITY SCORES</strong></div></td>
          								</tr>
        							</table>
        							<table width="265" border="1" cellpadding="2" bordercolor="#000000" id="Abilities">
  										<tr bgcolor="#CCCCCC" class="BlackTextXXSmall">
    										<td width="34"><div align="center"><strong>Total</strong></div></td>
    										<td width="34"><div align="center"><strong>Modifier</strong></div></td>
   											<td width="169"><div align="center"><strong>Ability</strong></div></td>
  										</tr>
  										<tr class="BlackTextXXSmall">
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/str"/></div></td>
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/str-mod"/></div></td>
    										<td><div align="left"><strong>STRENGTH</strong></div></td>
  										</tr>
  										<tr class="BlackTextXXSmall">
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/con"/></div></td>
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/con-mod"/></div></td>
    										<td><div align="left"><strong>CONSTITUTION</strong></div></td>
  										</tr>
  										<tr class="BlackTextXXSmall">
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/dex"/></div></td>
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/dex-mod"/></div></td>
    										<td><div align="left"><strong>DEXTERITY</strong></div></td>
  										</tr>
  										<tr class="BlackTextXXSmall">
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/int"/></div></td>
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/int-mod"/></div></td>
    										<td><div align="left"><strong>INTELLIGENCE</strong></div></td>
  										</tr>
  										<tr class="BlackTextXXSmall">
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/wis"/></div></td>
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/wis-mod"/></div></td>
    										<td><div align="left"><strong>WISDOM</strong></div></td>
  										</tr>
  										<tr class="BlackTextXXSmall">
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/cha"/></div></td>
    										<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="abilities/cha-mod"/></div></td>
    										<td><div align="left"><strong>CHARISMA</strong></div></td>
  										</tr>
									</table>
      								<table width="269" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="HPHeader">
          								<tr>
            								<td width="260" class="WhiteTextXSmall"><div align="center"><strong>HIT POINTS</strong></div></td>
          								</tr>
          							</table>
          							<table width="269" border="1" cellpadding="2" bordercolor="#000000" id="HPSurges">
            							<tr class="BlackTextXXSmall">
              								<td width="30" bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="combat/max-hit-points"/></div></td>
              								<td width="37"><strong>HP Total</strong></td>
              								<td width="30" bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="combat/max-healing-surges"/></div></td>
              								<td width="146"><strong>Healing Surges / Day</strong></td>
            							</tr>
            							<tr class="BlackTextXXSmall">
              								<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="format-number(floor(number(translate(combat/max-hit-points,'+','')) div 2), '##')"/></div></td>
              								<td><strong>Bloodied</strong></td>
              								<td bgcolor="#FFFFFF"><div align="center"><xsl:value-of select="format-number(floor(number(translate(combat/max-hit-points,'+','')) div 4), '##')"/></div></td>
              								<td><strong>Healing Surge Value</strong></td>
            							</tr>
        							</table>
      								<table width="269" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="ResVulnHeader">
        								<tr class="WhiteTextXSmall">
          									<td><div align="center"><strong>RESISTANCES / VULNERABILITIES</strong></div></td>
        								</tr>
      								</table>
      								<table width="269" border="1" cellpadding="2" bordercolor="#000000" id="ResVuln">
        								<xsl:for-each select="resist-vulnerable/resist-vuln-row">
        								<tr class="BlackTextXXSmall">
          									<td width="80"><xsl:value-of select="resist-type"/></td>
          									<td width="30"><xsl:value-of select="resist-value"/></td>
          									<td width="131"><xsl:value-of select="resist-key"/></td>
        								</tr>
        								</xsl:for-each>
      								</table>
    				</div></td>
    				<td width="545" valign="top"><div align="center">
      								<table width="537" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="BasicWeaponHeader">
        								<tr>
          									<td width="525" class="WhiteTextXSmall"><strong>BASIC WEAPON ATTACKS</strong></td>
        								</tr>
      								</table>
      								<table width="537" border="1" cellpadding="2" bordercolor="#000000" id="Weapons">
        								<tr class="BlackTextXXSmall">
          									<td width="152"><div align="center"><strong>Weapon Name</strong></div></td>
          									<td width="142"><div align="center"><strong>Information</strong></div></td>
          									<td width="37"><div align="center"><strong>Attack</strong></div></td>
          									<td width="57"><div align="center"><strong>Target Defense</strong></div></td>
          									<td width="44"><div align="center"><strong>Damage</strong></div></td>
          									<td width="53"><div align="center"><strong>Weapon Range</strong></div></td>
        								</tr>
        								<xsl:for-each select="weapons/weapon">
        								<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          									<td><xsl:value-of select="w-name"/></td>
          									<td><xsl:value-of select="w-info"/></td>
          									<td><xsl:value-of select="atk-mod"/><xsl:value-of select="abil-mod"/></td>
          									<td><xsl:value-of select="target-ac"/></td>
          									<td><xsl:value-of select="w-damage"/></td>
          									<td><xsl:value-of select="range"/></td>
        								</tr>
        								</xsl:for-each>
      								</table>
      								<table width="537" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="ImplementsHeader">
        								<tr>
          									<td width="525" class="WhiteTextXSmall"><strong>IMPLEMENTS</strong></td>
        								</tr>
      								</table>
      								<table width="537" border="1" cellpadding="2" bordercolor="#000000" id="Implements">
        								<tr class="BlackTextXXSmall">
          									<td width="151"><div align="center"><strong>Implement Name</strong></div></td>
          									<td width="30"><div align="center"><strong>Bonus</strong></div></td>
          									<td width="328"><div align="center"><strong>Information</strong></div></td>
          								</tr>
          								<xsl:for-each select="implements/implement">
        								<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          									<td><xsl:value-of select="i-name"/></td>
          									<td><xsl:value-of select="i-bonus"/></td>
          									<td><xsl:value-of select="i-info"/></td>
          								</tr>
          								</xsl:for-each>
      								</table>
    				</div></td>
  				</tr>
			</table>
			<table width="816" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="CharPowersHeader">
      			<tr>
        			<td class="WhiteTextXSmall"><div align="center"><strong>CHARACTER POWERS</strong></div></td>
      			</tr>
			</table>
			<table width="816" height="376" border="0" cellpadding="0" bgcolor="#CCCCCC" id="CharPowersContainer">
  				<tr>
    				<td valign="top">
    								<table width="812" border="1" cellpadding="2" bordercolor="#000000" id="CharPowers">
      											<tr class="BlackTextXXSmall">
        											<td width="200"><div align="center"><strong>Power Name</strong></div></td>
        											<td width="75"><div align="center"><strong>Type</strong></div></td>
        											<td width="75"><div align="center"><strong>Action Required</strong></div></td>
        											<td width="75"><div align="center"><strong>Attack Type</strong></div></td>
        											<td width="50"><div align="center"><strong>Range</strong></div></td>
        											<td width="50"><div align="center"><strong>Attack</strong></div></td>
        											<td width="55"><div align="center"><strong>Target Defense</strong></div></td>
        											<td width="50"><div align="center"><strong>Damage</strong></div></td>
        											<td width="106"><div align="center"><strong>Keywords</strong></div></td>
      											</tr>
      											<xsl:for-each select="powers/power">
      											<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
        											<td><xsl:value-of select="p-name"/></td>
       			 									<td><xsl:value-of select="pwr-type"/></td>
        											<td><xsl:value-of select="pwr-action"/></td>
        											<td><xsl:value-of select="atk-type"/></td>
        											<td><xsl:value-of select="p-range"/></td>
        											<td><xsl:value-of select="p-atk-mod"/></td>
        											<td><xsl:value-of select="p-target-ac"/></td>
        											<td><xsl:value-of select="p-damage"/><xsl:value-of select="p-damage-mod"/></td>
        											<td><xsl:value-of select="p-keys"/></td>
      											</tr>
      											</xsl:for-each>
    										</table>
    				</td>
  				</tr>
		</table>
		<table width="816" height="49" border="0" cellpadding="0" bgcolor="#000000" id="PageFooter">
  				<tr>
    				<td height="45"><div align="center" class="WhiteTextXSmall">4th Edition Dungeons &amp; Dragons Character Sheet</div></td>
 				 </tr>
		</table>
		<table width="816" border="0" cellpadding="2" bgcolor="#000000" id="PageHeader2">
  				<tr>
   					<td width="64%" rowspan="2"><h2><span class="WhiteText">Dungeons &amp; Dragons 4th Edition</span></h2></td>
    				<td width="36%" align="right" class="WhiteText">Character Sheet [page 2]</td>
  				</tr>
  				<tr>
    				<td bgcolor="#FFFFFF"><span class="BlackTextSmall">Player Name: <xsl:value-of select="personal-info/name"/></span></td>
  				</tr>
		</table>
		<table width="816" height="900" border="0" cellpadding="0" bgcolor="#CCCCCC" id="SkillsFeatsContainer">
  				<tr>
    				<td width="405" valign="top">
    								<table width="404" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="SkillsHeader">
      											<tr class="WhiteTextXSmall">
        												<td><div align="center"><strong>SKILLS</strong></div></td>
      											</tr>
    								</table>
      								<table width="405" border="1" cellpadding="2" bordercolor="#000000" id="Skills">
        										<tr class="BlackTextXXSmall">
          												<td width="30"><div align="center"><strong> Total</strong></div></td>
         												<td width="126"><div align="center"><strong>Name</strong></div></td>
          												<td width="30"><div align="center"><strong>Ability</strong></div></td>
          												<td width="30"><div align="center"><strong>Ability Bonus</strong></div></td>
          												<td width="30"><div align="center"><strong>Trained</strong></div></td>
          												<td width="30"><div align="center"><strong>Racial / Feat</strong></div></td>
          												<td width="30"><div align="center"><strong>Armor</strong></div></td>
          												<td width="30"><div align="center"><strong>Misc Mod</strong></div></td>
        										</tr>
        										<xsl:for-each select="skills/skill">
        										<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="center"><xsl:value-of select="total"/></div></td>
          												<td><div align="left"><xsl:value-of select="skill-name"/></div></td>
          												<td><div align="center"><xsl:value-of select="skill-ability"/></div></td>
          												<td><div align="center"><xsl:value-of select="modifier"/></div></td>
          												<td><div align="center"><xsl:value-of select="trained"/></div></td>
          												<td><div align="center"><xsl:value-of select="racial"/></div></td>
          												<td><div align="center"><xsl:value-of select="armor-penalty"/></div></td>
          												<td><div align="center"><xsl:value-of select="misc-mod"/></div></td>
        										</tr>
        										</xsl:for-each>
      								</table>
      								<table width="404" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="LanguagesHeader">
        										<tr class="WhiteTextXSmall">
          												<td><div align="center"><strong>LANGUAGES</strong></div></td>
        										</tr>
      								</table>
      								<table width="405" border="1" cellpadding="2" bordercolor="#000000" id="Languages">
        										<xsl:for-each select="languages/language">
        										<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><xsl:value-of select="lang-name"/></td>
        										</tr>
        										</xsl:for-each>
      								</table>
      				</td>
    				<td width="405" valign="top">
    								<table width="404" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="FeatsHeader2">
      											<tr class="WhiteTextXSmall">
        												<td><div align="center"><strong>FEATS</strong></div></td>
      											</tr>
    								</table>
      								<table width="405" border="1" cellpadding="2" bordercolor="#000000" id="Feats">
        										<tr class="BlackTextXXSmall">
          												<td width="80"><div align="center"><strong>Name</strong></div></td>
          												<td width="304"><div align="center"><strong>Description</strong></div></td>
        										</tr>
        										<xsl:for-each select="feats/feat">
        										<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="left"><xsl:value-of select="feat-name"/></div></td>
          												<td><div align="left"><xsl:value-of select="feat-desc"/></div></td>
        										</tr>
        										</xsl:for-each>
      								</table>
      								<table width="404" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="RaceClassHeader">
        										<tr class="WhiteTextXSmall">
          												<td><div align="center"><strong>RACIAL / CLASS FEATURES [COMBAT]</strong></div></td>
        										</tr>
      								</table>
      								<table width="405" border="1" cellpadding="2" bordercolor="#000000" id="RacialClassTraitsCombat">
        										<tr class="BlackTextXXSmall">
          												<td width="80"><div align="center"><strong>Trait Name</strong></div></td>
          												<td width="304"><div align="center"><strong>Description</strong></div></td>
        										</tr>
        										<xsl:for-each select="combat-traits/combat-trait">
        										<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="left"><xsl:value-of select="trait-name"/></div></td>
          												<td><div align="left"><xsl:value-of select="trait-desc"/></div></td>
        										</tr>
        										</xsl:for-each>
      								</table>
      								<table width="404" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="RaceClassHeader2">
        										<tr class="WhiteTextXSmall">
          												<td><div align="center"><strong>RACIAL / CLASS FEATURES [NON-COMBAT]</strong></div></td>
        										</tr>
      								</table>
      								<table width="405" border="1" cellpadding="2" bordercolor="#000000" id="RacialClassTraitsNonCombat">
        										<tr class="BlackTextXXSmall">
          												<td ><div align="center"><strong>Trait Name</strong></div></td>
        										</tr>
        										<xsl:for-each select="racial-traits/racial-trait">
        										<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="left"><xsl:value-of select="trait-name-nc"/></div></td>
        										</tr>
        										</xsl:for-each>
      								</table>
      				</td>
  				</tr>
		</table>
		<table width="816" height="49" border="0" cellpadding="0" bgcolor="#000000" id="PageFooter2">
  				<tr>
    				<td height="45"><div align="center" class="WhiteTextXSmall">4th Edition Dungeons &amp; Dragons Character Sheet [page 2]</div></td>
  				</tr>
		</table>
		<table width="816" border="0" cellpadding="2" bgcolor="#000000" id="PageHeader3">
  				<tr>
    				<td width="64%" rowspan="2"><h2><span class="WhiteText">Dungeons &amp; Dragons 4th Edition</span></h2></td>
    				<td width="36%" align="right" class="WhiteText">Character Sheet [page 3]</td>
  				</tr>
  				<tr>
    				<td bgcolor="#FFFFFF"><span class="BlackTextSmall">Player Name: <xsl:value-of select="personal-info/name"/></span></td>
  				</tr>
		</table>
		<table width="816" height="900" border="0" cellpadding="0" bgcolor="#CCCCCC" id="RitualEquipContainer">
  				<tr>
    				<td width="200" valign="top">
    								<table width="200" border="1" cellpadding="2" bordercolor="#000000" id="Rituals">
      									<tr bordercolor="#FFFFFF" bgcolor="#000000" class="WhiteTextXSmall">
        											<td><div align="center"><strong>RITUALS</strong></div></td>
      									</tr>
      									<xsl:for-each select="rituals/ritual">
      									<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
        												<td><xsl:value-of select="ritual-name"/></td>
      									</tr>
      									</xsl:for-each>
      
    								</table>
    				</td>
    				<td width="610" valign="top">
    								<table width="610" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="EquipmentHeader">
      									<tr class="WhiteTextXSmall">
        												<td><div align="center"><strong>EQUIPMENT</strong></div></td>
      									</tr>
    								</table>
      								<table width="610" border="1" cellpadding="2" bordercolor="#000000" id="Equipment">
        								<tr class="BlackTextXXSmall">
          												<td width="130"><div align="center"><strong>Name</strong></div></td>
          												<td width="460"><div align="center"><strong>Description</strong></div></td>
        								</tr>
        								<xsl:for-each select="equipment/item">
        								<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="left"><xsl:value-of select="equip-name"/></div></td>
          												<td><div align="left"><xsl:value-of select="desc"/></div></td>
        								</tr>
        								</xsl:for-each>
      								</table>
      								<table width="610" border="1" cellpadding="2" bordercolor="#000000" id="Ammunition">
        								<tr class="BlackTextXXSmall">
          												<td width="130"><div align="center"><strong>Ammunition</strong></div></td>
          												<td width="460"><div align="center"><strong>Inventory Remaining</strong></div></td>
        								</tr>
        								<xsl:for-each select="ammos/ammo">
        								<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="left"><xsl:value-of select="ammo-name"/></div></td>
          												<td><div align="left"><xsl:value-of select="ammo-num"/></div></td>
        								</tr>
        								</xsl:for-each>
      								</table>
      								<table width="610" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="MagicItemsHeader">
        								<tr class="WhiteTextXSmall">
          												<td><div align="center"><strong>MAGIC ITEM SUMMARY</strong></div></td>
        								</tr>
      								</table>
      								<table width="610" border="1" cellpadding="2" bordercolor="#000000" id="MagicItems">
        								<tr class="BlackTextXXSmall">
          												<td width="130"><div align="center"><strong>Name</strong></div></td>
          												<td width="460"><div align="center"><strong>Description</strong></div></td>
        								</tr>
        								<xsl:for-each select="magic-items/magic-item">
        								<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="left"><xsl:value-of select="mi-name"/></div></td>
          												<td><div align="left"><xsl:value-of select="mi-desc"/></div></td>
        								</tr>
        								</xsl:for-each>
      								</table>
      								<table width="610" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="ConsumableMagicItemsHeader">
        								<tr class="WhiteTextXSmall">
          												<td><div align="center"><strong>CONSUMABLE MAGIC ITEMS</strong></div></td>
        								</tr>
      								</table>
      								<table width="610" border="1" cellpadding="2" bordercolor="#000000" id="ConsumableMagicItems">
        								<tr class="BlackTextXXSmall">
          												<td width="130"><div align="center"><strong>Name</strong></div></td>
          												<td width="377"><div align="center"><strong>Description</strong></div></td>
          												<td width="75"><div align="center"><strong>Inventory Remaining</strong></div></td>
        								</tr>
        								<xsl:for-each select="consumable-magic-items/consumable-magic-item">
        								<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="left"><xsl:value-of select="c-mi-name"/></div></td>
          												<td><div align="left"><xsl:value-of select="c-mi-expr"/></div></td>
          												<td><xsl:value-of select="c-mi-inv"/></td>
        								</tr>
        								</xsl:for-each>
      								</table>
      								<table width="610" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="WealthHeader">
        								<tr class="WhiteTextXSmall">
          												<td><div align="center"><strong>WEALTH</strong></div></td>
        								</tr>
      								</table>
      								<table width="610" border="1" cellpadding="2" bordercolor="#000000" id="Wealth">
        								<tr class="BlackTextXXSmall">
          												<td width="432"><div align="center"><strong>Type / Description</strong></div></td>
          												<td width="75"><div align="center"><strong>Carried Amount</strong></div></td>
          												<td width="75"><div align="center"><strong>Cached Amount</strong></div></td>
        								</tr>
        								<xsl:for-each select="wealth/coin">
        								<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><div align="left"><xsl:value-of select="type"/></div></td>
          												<td><div align="left"><xsl:value-of select="carried"/></div></td>
          												<td><xsl:value-of select="cached"/></td>
        								</tr>
        								</xsl:for-each>
      								</table></td>
  				</tr>
		</table>
		<table width="816" height="49" border="0" cellpadding="0" bgcolor="#000000" id="PageFooter3">
  				<tr>
    				<td height="45"><div align="center" class="WhiteTextXSmall">4th Edition Dungeons &amp; Dragons Character Sheet [page 3]</div></td>
  				</tr>
		</table>
		<table width="816" border="0" cellpadding="2" bgcolor="#000000" id="PageHeader4">
  				<tr>
    				<td width="64%" rowspan="2"><h2><span class="WhiteText">Dungeons &amp; Dragons 4th Edition</span></h2></td>
    				<td width="36%" align="right" class="WhiteText">Character Sheet [page 4]</td>
  				</tr>
  				<tr>
    				<td bgcolor="#FFFFFF"><span class="BlackTextSmall">Player Name: <xsl:value-of select="personal-info/name"/></span></td>
  				</tr>
		</table>
		<table width="816" height="900" border="0" cellpadding="0" bgcolor="#CCCCCC" id="NotesContainer">
  				<tr>
    				<td valign="top">
    								<table width="812" border="1" cellpadding="2" bordercolor="#FFFFFF" bgcolor="#000000" id="NotesHeader">
      												<tr>
        												<td class="WhiteTextXSmall"><div align="center"><strong>CHARACTER NOTES PAGES</strong></div></td>
      												</tr>
    								</table>
      								<table width="812" border="0" cellpadding="2">
      												<xsl:for-each select="notes/note">
        											<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><xsl:value-of select="title"/></td>
        											</tr>
        											<tr bgcolor="#FFFFFF" class="BlackTextXXSmall">
          												<td><xsl:copy-of select="text"/></td>
        											</tr>
        											</xsl:for-each>
      								</table>
      				</td>
  				</tr>
		</table>
		<table width="816" height="49" border="0" cellpadding="0" bgcolor="#000000" id="PageFooter4">
  				<tr>
    				<td height="45"><div align="center" class="WhiteTextXSmall">4th Edition Dungeons &amp; Dragons Character Sheet [page 4]</div></td>
  				</tr>
		</table>
		
		</body>
	</html>
	</xsl:template>

</xsl:stylesheet>


